# Uses of Class
org.opensaml.saml.saml2.assertion.SAML20AssertionValidator

Packages that use SAML20AssertionValidator
Package
Description
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.wssecurity.messaging.impl
Implementation of SAML WS-Security message handler functionality.

## Uses of SAML20AssertionValidator in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type SAML20AssertionValidator
Modifier and Type
Field
Description
`private Function<Pair<ProfileRequestContext,Assertion>,SAML20AssertionValidator>`
ValidateAssertions.`assertionValidatorLookup`
The SAML 2.0 Assertion validator lookup function, may be null.
Methods in org.opensaml.saml.saml2.profile.impl that return SAML20AssertionValidator
Modifier and Type
Method
Description
`SAML20AssertionValidator`
ValidateAssertions.`getAssertionValidator(ProfileRequestContext profileRequestContext, Assertion assertion)`
Get the configured Assertion validator.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type SAML20AssertionValidator
Modifier and Type
Method
Description
`void`
ValidateAssertions.`setAssertionValidator(SAML20AssertionValidator validator)`
Set the locally-configured Assertion validator.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type SAML20AssertionValidator
Modifier and Type
Method
Description
`void`
ValidateAssertions.`setAssertionValidatorLookup(Function<Pair<ProfileRequestContext,Assertion>,SAML20AssertionValidator> function)`
Set the Assertion validator lookup function.

## Uses of SAML20AssertionValidator in org.opensaml.saml.saml2.wssecurity.messaging.impl

Fields in org.opensaml.saml.saml2.wssecurity.messaging.impl with type parameters of type SAML20AssertionValidator
Modifier and Type
Field
Description
`private Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator>`
WSSecuritySAML20AssertionTokenSecurityHandler.`assertionValidatorLookup`
The SAML 2.0 Assertion validator lookup function.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl that return SAML20AssertionValidator
Modifier and Type
Method
Description
`SAML20AssertionValidator`
WSSecuritySAML20AssertionTokenSecurityHandler.`getAssertionValidator(MessageContext messageContext, Assertion assertion)`
Get the configured Assertion validator.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl that return types with arguments of type SAML20AssertionValidator
Modifier and Type
Method
Description
`Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator>`
WSSecuritySAML20AssertionTokenSecurityHandler.`getAssertionValidatorLookup()`
Get the Assertion validator lookup function.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl with parameters of type SAML20AssertionValidator
Modifier and Type
Method
Description
`void`
WSSecuritySAML20AssertionTokenSecurityHandler.`setAssertionValidator(SAML20AssertionValidator validator)`
Set a locally-configured Assertion validator.
Method parameters in org.opensaml.saml.saml2.wssecurity.messaging.impl with type arguments of type SAML20AssertionValidator
Modifier and Type
Method
Description
`void`
WSSecuritySAML20AssertionTokenSecurityHandler.`setAssertionValidatorLookup(Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator> function)`
Set the Assertion validator lookup function.